# Uses of Interface
org.eclipse.emf.compare.merge.IMerger.Registry

Packages that use IMerger.Registry
Package
Description
org.eclipse.emf.compare.command.impl
org.eclipse.emf.compare.domain
org.eclipse.emf.compare.domain.impl
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.internal.domain
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.merger

## Uses of IMerger.Registry in org.eclipse.emf.compare.command.impl

Fields in org.eclipse.emf.compare.command.impl declared as IMerger.Registry
Modifier and Type
Field
Description
`protected final IMerger.Registry`
AbstractCopyCommand.`mergerRegistry`
Merger registry.
Constructors in org.eclipse.emf.compare.command.impl with parameters of type IMerger.Registry
Modifier
Constructor
Description
``
`AbstractCopyCommand(ChangeRecorder changeRecorder, Collection<Notifier> notifiers, List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Constructs an instance of this command given the list of differences that it needs to merge.
``
`CopyCommand(ChangeRecorder changeRecorder, Collection<Notifier> notifiers, List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Deprecated.
Constructs an instance of this command given the list of differences that it needs to merge.
``
`MergeAllNonConflictingCommand(ChangeRecorder changeRecorder, Collection<Notifier> notifiers, Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeAllNonConflictingRunnable runnable)`
Creates a new instance.
``
`MergeCommand(ChangeRecorder changeRecorder, Collection<Notifier> notifiers, List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeRunnable runnable)`
Creates a new instance.

## Uses of IMerger.Registry in org.eclipse.emf.compare.domain

Methods in org.eclipse.emf.compare.domain with parameters of type IMerger.Registry
Modifier and Type
Method
Description
`Command`
ICompareEditingDomain.`createCopyCommand(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Deprecated.
`ICompareCopyCommand`
ICompareEditingDomain.`createCopyCommand(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeRunnable runnable)`
Creates a new command that will execute the given `IMergeRunnable` that is expected to merge the given differences in from right to left or left to right by using the mergers defined in the given merger registry.
`void`
IMergeRunnable.`merge(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Execute the merge operation.

## Uses of IMerger.Registry in org.eclipse.emf.compare.domain.impl

Methods in org.eclipse.emf.compare.domain.impl with parameters of type IMerger.Registry
Modifier and Type
Method
Description
`ICompareCopyCommand`
EMFCompareEditingDomain.`createCopyAllNonConflictingCommand(Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeAllNonConflictingRunnable runnable)`
Creates a command that will merge all non-conflicting differences in the given direction.
`Command`
EMFCompareEditingDomain.`createCopyCommand(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Creates a new command that will merge the given differences in from right to left or left to right by using the mergers defined in the given merger registry.
`ICompareCopyCommand`
EMFCompareEditingDomain.`createCopyCommand(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeRunnable runnable)`
Creates a new command that will execute the given `IMergeRunnable` that is expected to merge the given differences in from right to left or left to right by using the mergers defined in the given merger registry.

## Uses of IMerger.Registry in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type IMerger.Registry
Modifier and Type
Method
Description
`protected IDiffRelationshipComputer`
DependencyData.`getDiffRelationshipComputer(IMerger.Registry mergerRegistry)`
Returns the diff relationship computer instance from the compare configuration with the given merger registry.
`void`
DependencyData.`updateDependencies(org.eclipse.jface.viewers.ISelection selection, IMerger.Registry mergerRegistry)`

## Uses of IMerger.Registry in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Fields in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions declared as IMerger.Registry
Modifier and Type
Field
Description
`protected final IMerger.Registry`
MergeAction.`mergerRegistry`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type IMerger.Registry
Modifier and Type
Method
Description
`protected void`
MergeNonConflictingRunnable.`doMergeDiffWithConflicts(boolean leftToRight, IMerger.Registry mergerRegistry, List<Diff> affectedDiffs, Monitor emfMonitor, Diff diff)`
`protected IDiffRelationshipComputer`
AbstractMergeRunnable.`getDiffRelationshipComputer(IMerger.Registry mergerRegistry)`
Returns the diff relationship computer instance from the compare configuration with the given merger registry.
`protected void`
AbstractMergeRunnable.`markAllAsMerged(Collection<? extends Diff> diffToMarkAsMerged, MergeMode mode, IMerger.Registry mergerRegistry)`
Marks all of the given diffs as merged, keeping track of the merged mode used for the operation.
`protected void`
AbstractMergeRunnable.`markAsMerged(Diff diff, MergeMode mode, boolean mergeRightToLeft, IMerger.Registry mergerRegistry)`
Marks a single diff as merged, keeping track of the merge mode used for the operation.
`void`
MergeConflictingRunnable.`merge(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Execute the merge operation.
`void`
MergeContainedRunnable.`merge(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
`void`
MergeNonConflictingRunnable.`merge(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Execute the merge operation.
`Iterable<Diff>`
MergeNonConflictingRunnable.`merge(Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry)`
Merges all non-conflicting differences from the given comparison in either direction.
`void`
MergeRunnableImpl.`merge(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
`protected void`
AbstractMergeRunnable.`mergeAll(Collection<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)`
Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type IMerger.Registry
Modifier
Constructor
Description
``
`AbstractMergeContainedAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable)`
``
`AbstractMergeContainedAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection)`
``
`MergeAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable)`
Constructor.
``
`MergeAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection)`
``
`MergeAllNonConflictingAction(IEMFCompareConfiguration compareConfiguration, Comparison comparison, IMerger.Registry mergerRegistry, MergeMode mode)`
Constructor.
``
`MergeContainedAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`
``
`MergeContainedConflictingAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`
``
`MergeContainedNonConflictingAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`

## Uses of IMerger.Registry in org.eclipse.emf.compare.internal.domain

Methods in org.eclipse.emf.compare.internal.domain with parameters of type IMerger.Registry
Modifier and Type
Method
Description
`Iterable<Diff>`
IMergeAllNonConflictingRunnable.`merge(Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry)`
Merges all non-conflicting differences from the given comparison in either direction.

## Uses of IMerger.Registry in org.eclipse.emf.compare.merge

Subinterfaces of IMerger.Registry in org.eclipse.emf.compare.merge
Modifier and Type
Interface
Description
`static interface`
`IMerger.Registry2`
Registry that can provide its mergers sorted by rank descending.
Classes in org.eclipse.emf.compare.merge that implement IMerger.Registry
Modifier and Type
Class
Description
`static class`
`IMerger.RegistryImpl`
A default implementation of an `IMerger.Registry`.
Fields in org.eclipse.emf.compare.merge declared as IMerger.Registry
Modifier and Type
Field
Description
`protected IMerger.Registry`
DiffRelationshipComputer.`registry`
Merger registry used to retrieve the correct merger.
Methods in org.eclipse.emf.compare.merge that return IMerger.Registry
Modifier and Type
Method
Description
`static IMerger.Registry`
IMerger.RegistryImpl.`createStandaloneInstance()`
Returns a registry filled with the default mergers provided by EMF Compare; namely `AttributeChangeMerger`, `ReferenceChangeMerger`, `FeatureMapChangeMerger`, `ResourceAttachmentChangeMerger`, `PseudoConflictMerger` and `ConflictMerger`.
`IMerger.Registry`
DiffRelationshipComputer.`getMergerRegistry()`
`IMerger.Registry`
IDiffRelationshipComputer.`getMergerRegistry()`
Returns the merger registry used for calculating the diff relationships.
`IMerger.Registry`
AbstractMerger.`getRegistry()`
Get the registry.
`IMerger.Registry`
IMerger.`getRegistry()`
Get the registry.
Methods in org.eclipse.emf.compare.merge with parameters of type IMerger.Registry
Modifier and Type
Method
Description
`void`
CachingDiffRelationshipComputer.`setMergerRegistry(IMerger.Registry mergerRegistry)`
Sets the merger registry used for calculating the diff relationships.
`void`
DiffRelationshipComputer.`setMergerRegistry(IMerger.Registry mergerRegistry)`
`void`
IDiffRelationshipComputer.`setMergerRegistry(IMerger.Registry mergerRegistry)`
Sets the merger registry used for calculating the diff relationships.
`void`
AbstractMerger.`setRegistry(IMerger.Registry registry)`
Set the registry containing this merger.
`void`
IMerger.`setRegistry(IMerger.Registry registry)`
Set the registry containing this merger.
Constructors in org.eclipse.emf.compare.merge with parameters of type IMerger.Registry
Modifier
Constructor
Description
``
`BatchMerger(IMerger.Registry registry)`
Constructs our batch merger provided the registry from which to retrieve the delegate mergers.
``
`BatchMerger(IMerger.Registry registry, com.google.common.base.Predicate<? super Diff> filter)`
Constructs our batch merger provided the registry from which to retrieve the delegate mergers, and a filter if you only wish to merge specific differences.
``
`CachingDiffRelationshipComputer(IMerger.Registry registry)`
Creates a new computer with the given registry.
``
`CachingDiffRelationshipComputer(IMerger.Registry registry, IMergeCriterion criterion)`
Creates a new computer with the given registry and merge criterion.
``
`DiffRelationshipComputer(IMerger.Registry registry)`
Creates a new relationship computer.
``
`DiffRelationshipComputer(IMerger.Registry registry, IMergeCriterion criterion)`
Creates a new relationship computer.

## Uses of IMerger.Registry in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return IMerger.Registry
Modifier and Type
Method
Description
`IMerger.Registry`
EMFCompareRCPPlugin.`getMergerRegistry()`
Returns the merger registry to which extension will be registered.

## Uses of IMerger.Registry in org.eclipse.emf.compare.rcp.internal.merger

Constructors in org.eclipse.emf.compare.rcp.internal.merger with parameters of type IMerger.Registry
Modifier
Constructor
Description
``
`MergerExtensionRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IMerger.Registry mergerRegistry)`
Constructor.